import { OnInit } from "@angular/core";
import { Observable } from "rxjs";
import { Store } from "@ngxs/store";
import { FileBrowser } from "../../services/file-browser.service";
export declare class FileBrowserHeaderComponent implements OnInit {
    store: Store;
    fileBrowser: FileBrowser;
    sort$: Observable<String>;
    os$: Observable<String>;
    constructor(store: Store, fileBrowser: FileBrowser);
    ngOnInit(): void;
    toggleSort(sort: any): void;
    showTree(): void;
    unselectNodes(): void;
}
