import { Store } from "@ngxs/store";
import { Observable } from "rxjs";
import { ActionSheetController } from "ionic-angular";
import { FileBrowserContainerCoreComponent } from "../file-browser-container/file-browser-container-core.component";
export declare class FileBrowserActionSheetComponent {
    store: Store;
    actionSheetCtrl: ActionSheetController;
    fileBrowserContainerCore: FileBrowserContainerCoreComponent;
    constructor(store: Store, actionSheetCtrl: ActionSheetController, fileBrowserContainerCore: FileBrowserContainerCoreComponent);
    multiSelect$: Observable<Boolean>;
    node: string;
    openBtn: {
        icon: string;
        text: string;
        handler: () => Observable<any>;
    };
    newFolderBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    newFileBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    renameBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    uploadBtn: {
        icon: string;
        text: string;
        handler: () => Observable<any>;
    };
    downloadBtn: {
        icon: string;
        text: string;
        handler: () => Observable<any>;
    };
    deleteBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    propertiesBtn: {
        icon: string;
        text: string;
        handler: () => Observable<any>;
    };
    presentActionSheet(node: any): void;
    getActionSheetOptions(type: any): any;
}
